Download it now!
Bug 72898 - LibreOffice UI quite broken on HiDPI screens on Windows & Linux
Summary: LibreOffice UI quite broken on HiDPI screens on Windows & Linux
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium major
Assignee: Keith Curtis
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-20 07:44 UTC by Keith Curtis
Modified: 2015-04-02 01:10 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Keith Curtis 2013-12-20 07:44:58 UTC
On Linux and Windows, LibreOffice is quite broken on high-res screens. The text look great, but every bitmap is too small to easily recognize or click on, the spelling underlines are hard to see and too close to the text, etc.

The Mac doesn't have as much of a problem because of this: https://developer.apple.com/library/mac/documentation/GraphicsAnimation/Conceptual/HighResolutionOSX/CapturingScreenContents/CapturingScreenContents.html.

I've created a wiki page to track progress: https://wiki.documentfoundation.org/Development/HiDpi, but it is helpful to have a bug report also.
Comment 2 Keith Curtis 2014-04-04 23:22:04 UTC
Here's another fix that has gone in to 4.2.3.3:

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-2-3&id=b740953537b324e157b22ce3bd46611b01f78e47
Comment 3 Keith Curtis 2014-04-10 17:38:03 UTC
Another fix is queued up for 4.2.4 to fix fdo#77059

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-2&id=bcba071c0d583a0b3a62d6d718829b906ecc37f2
Comment 4 Keith Curtis 2015-04-02 01:10:12 UTC
There is more work to be done, such as better bitmaps, but with all the patches already checked in: http://cgit.freedesktop.org/libreoffice/core/log/?qt=grep&q=hidpi this bug can be resolved. LibreOffice 4.4 looks great, and 4.5 will be even better. There isn't too much pixelation with Tango or Sifr, but it could be better...